import { AfterContentInit, ChangeDetectorRef, OnDestroy, ViewContainerRef } from '@angular/core';
import { Subject } from 'rxjs';
import { IBindIO } from '../interfaces/bind-io.interface';
import { NgxBindOutputsService } from '../services/ngx-bind-outputs.service';
export declare class BindOutputsDirective implements Partial<IBindIO>, OnDestroy, AfterContentInit {
    private _viewContainerRef;
    private _ngxBindOutputsService;
    private _ref;
    excludeOutputs: string[] | string;
    includeOutputs: string[] | string;
    component: any;
    parentComponent: any;
    outputs: {
        keys: string[];
        parentKeys: string[];
    };
    usedOutputs: string[];
    destroyed$: Subject<boolean>;
    constructor(_viewContainerRef: ViewContainerRef, _ngxBindOutputsService: NgxBindOutputsService, _ref: ChangeDetectorRef);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
